DAZ Studio Pro 4.5.0.137 Beta Release Now Available

2456

Comments

  • DAZ_SpookyDAZ_Spooky Posts: 1,900
    edited September 2012

    Plugins and shaders should still work - if they were working in 4.5.0.114, of course.

    The first page gives a link to plugins that are compatible as:

    http://www.daz3d.com/shop/software/plugins-utilities?compat_software=99

    But this doesn't include any of the PoseWorks shaders (the ones now sold as "DAZ Originals")... have they not been updated for 4.5 yet?

    Cheers,

    Cliff

    The Poseworks Shaders are not Plug-ins, which is why they aren't listed with the plug-ins. They were updated for 4.5 and work just fine. :)

    Post edited by DAZ_bfurner on
  • DavidGBDavidGB Posts: 426
    edited December 1969

    Following my report of crashes when the DAZ Studio 4.5.0.137 installer uninstalled the previous 4.5, and then itself, and the similar crashes when the dynamic clothing control installer uninstalled its previous version, plus the noted problems on installation of the CMS, I'd just like to add that this is not some generic problem I have with all DAZ installers running uninstallers. The Genesis Starter Content 1.4 installer, for instance, uninstalled the prior version and finished its install without any problems, errors or complaints.

    This leaves me concerned about the unknown reasons for and possible consequences following the errors and crashes during my installation of DAZ Studio 4.5.0.137 yesterday.

  • Takeo.KenseiTakeo.Kensei Posts: 935
    edited December 1969

    One question if anyone has the answer. I didn't update Genesis content because I didn't see anywhere a post about changes in the package. However the version number is now 1.4. Is there anything new there?

  • acanthisacanthis Posts: 359
    edited December 1969

    From your comments I can surmise that you are looking for a reason to "down" 4.5... guess what, it works VERY well with fewer hiccups than some other software that I can name that I have had to pay for.

    No I am not looking for a reason to "down" 4.5, whatever that means, but I am giving a reason why the DAZ methodology for software development causes so many problems for both end users and plugin developers alike.


    The danger with surmising things, as you have just done, is that you make an incorrect supposition. Why not spend some time looking at the voluminous Change Log for 4.5.xxx, cross reference it to the actual releases, then try doing some more "surmising" about how well DAZ have managed the release of version 4.5.


    Anyway, at least it's free, so that makes everything all right. ;)

  • DavidGBDavidGB Posts: 426
    edited December 1969

    There is a line in the DS 4.5.1 changelog about new metadata standards and all metadata needing updating:

    Updated default Content Types and Categories based on new standards provided by the metadata team and approved by marketing - Content metadata will need to be updated

    So this may be that. Then again it could be something else. It would be nice if DAZ told us and updated the Genesis Starter Essentials ReadMe page with details of the change before release and as a matter of course.

  • DAZ_bfurnerDAZ_bfurner Posts: 0
    edited September 2012

    One question if anyone has the answer. I didn't update Genesis content because I didn't see anywhere a post about changes in the package. However the version number is now 1.4. Is there anything new there?

    Yes, there were some changes in the content that will need to be updated for this build. Use the new Genesis Starter Essentials content and install it.

    Post edited by DAZ_bfurner on
  • ReDaveReDave Posts: 815
    edited December 1969

    I didn't get a crash but I did get an install error on the (customised) CMS install, and then a notice about: "the service couldn't be started". Win 32 bits.

  • DavidGBDavidGB Posts: 426
    edited December 1969

    One question if anyone has the answer. I didn't update Genesis content because I didn't see anywhere a post about changes in the package. However the version number is now 1.4. Is there anything new there?

    Yes, there were some changes in the content that will need to be updated for this build. Use the new Genesis Starter Essentials content and install it.

    Will the 1.4 content work in the public 4.5, if someone has to revert from the beta, or for people who don't want to try the beta but are trying to keep up to date on all the massive number of content updates?

  • atryeuatryeu Posts: 605
    edited December 1969

    I don't think my problem is with this build's installer. I don't appear for some reason to have an unistaller.

    Lefauve no you can't have both 4 and 4.5 at the same time.

    I think that is the exact same error I was getting trying to install the final release for 4.5 (except mine was the 32bit) :( I never got the error with the program install but it never did attempt to uninstall the previous version so I had to cancel the install and manually uninstall the older one first. I did get the error with the Genesis file though immediatly after opening it. The previous version I had never put an installer in. Nearly all Daz installers lock up on the "Daz3D Store.ico" file at the end and I usually have to crash the installer to get the stupid thing closed so it can't add the uninstaller :( It has been doing this since they started using those Bitrock installers whenever that was. It was never a problem before that :(

    If you keep getting it, either try to reinstall the old content and make sure an uninstaller gets added, or if it's like my case and the uninstaller just would not add at all, create a new runtime and reinstall everything :( At least my DS4 runtime was a different folder so it's not as much to reinstall, but it's the point. We shouldn't have to go through a huge hassle like this every time we went to update! :(

    *wonders how to get the update* This has become so completely unfair to dialup users it's not even funny and I'm loosing interest in the hobby completely :(

  • kitakoredazkitakoredaz Posts: 1,973
    edited December 1969

    :vampire:GARUUUUUUUUUUU

    DAZ admin ,please answer other quesiton !!
    I need to install and test it for photo studio!!! though it is beta or not!
    (then if I find bug, I send report OK! )

    for install 4.5 new beta,

    2 . I need to uninstall ds 4.5 product ver? or not? just install it and overwrite?

    3. I need to uninstall, genesis Starter Essentials contents? or just install it and overwrite?

    4. I need to stop CMS before install this beta ver?

    (solved) 5 I need to install some plug-in again ? or they can run without problem with new ds 4.5 beta?
    (thank you RIchard :blank:)

  • Takeo.KenseiTakeo.Kensei Posts: 935
    edited December 1969

    DavidGB said:
    One question if anyone has the answer. I didn't update Genesis content because I didn't see anywhere a post about changes in the package. However the version number is now 1.4. Is there anything new there?

    Yes, there were some changes in the content that will need to be updated for this build. Use the new Genesis Starter Essentials content and install it.

    Will the 1.4 content work in the public 4.5, if someone has to revert from the beta, or for people who don't want to try the beta but are trying to keep up to date on all the massive number of content updates?

    Thanks DAZ_bfurner, but could we get more details please? I like to know what's going on. I don't know if that is what is new but I've seen that there is an option to support DS 4.0x versions along with some changes in the categories. The 4.0x support is good for people sticking with the previous version. Anyway, I've installed it without any problem ,got to test it now

  • DAZ_bfurnerDAZ_bfurner Posts: 0
    edited December 1969

    :vampire:GARUUUUUUUUUUU

    DAZ admin ,please answer other quesiton !!
    I need to install and test it for photo studio!!! though it is beta or not!
    (then if I find bug, I send report OK! )

    for install 4.5 new beta,

    2 . I need to uninstall ds 4.5 product ver? or not? just install it and overwrite?

    3. I need to uninstall, genesis Starter Essentials contents? or just install it and overwrite?

    4. I need to stop CMS before install this beta ver?

    (solved) 5 I need to install some plug-in again ? or they can run without problem with new ds 4.5 beta?
    (thank you RIchard :blank:)

    If you want to use the new Beta, you will have to uninstall DAZ Studio 4.5 Release Version. We do not recommend running two versions of DS 4 on your machine.

    When you install the new Genesis Starter Essentials, it will uninstall the older version and write the new version.

    No need to stop the CMS, just close DAZ Studio when installing the new Genesis Starter Essentials.

    To answer another question, you can use the new Genesis Starter Essentials in the current release of DAZ Studio 4.5.

  • kitakoredazkitakoredaz Posts: 1,973
    edited December 1969

    thak you,, then I want to know more clear about uninstall.

    I understand I may need to uninstall ds 4.5 product ver, if I try to ds 4.5 beta,
    then ,,

    it is better uninstall ds 4.5, before install ds 4.5 beta? which is safety?:coolcheese:

    and,, if I want to return ds 4.5 (I am coward,because I get duplicated many files when first install 4.5 rc,, from 4.0.3
    can I get buck without problem all contents and scene? (with some handmade porducts meta-data)
    if I do not overwrite files in ds 4.5:blank:

  • Richard HaseltineRichard Haseltine Posts: 19,395
    edited December 1969

    The new version will ask to uninstall the older, if you haven't already done so. It doesn't matter which way you do it. I haven't tried, but data on your machine (other than the included content) won't be affected so you should be able to roll back OK.

  • kitakoredazkitakoredaz Posts: 1,973
    edited December 1969

    thank youuuuuu RICHARD!!! :coolsmile:

  • reelyorreelyor Posts: 138
    edited December 1969

    A note about installing newer versions of DAZ 4 and experienceing error messages at the CMS phase: If you hit this and it asks to Abort, retry or Cancel, go in and STOP the currently running CMS, then Retry and it shoukd continue on its merry way.
    I am not sure if tis was reported previously, but I have hit it while upgrading the last 2 versions.

  • DAZ_SpookyDAZ_Spooky Posts: 1,900
    edited December 1969

    DavidGB said:
    One question if anyone has the answer. I didn't update Genesis content because I didn't see anywhere a post about changes in the package. However the version number is now 1.4. Is there anything new there?

    Yes, there were some changes in the content that will need to be updated for this build. Use the new Genesis Starter Essentials content and install it.

    Will the 1.4 content work in the public 4.5, if someone has to revert from the beta, or for people who don't want to try the beta but are trying to keep up to date on all the massive number of content updates?

    Works just fine. That is the beauty of the DSON format.

  • DAZ_SpookyDAZ_Spooky Posts: 1,900
    edited December 1969

    reelyor said:
    A note about installing newer versions of DAZ 4 and experienceing error messages at the CMS phase: If you hit this and it asks to Abort, retry or Cancel, go in and STOP the currently running CMS, then Retry and it shoukd continue on its merry way.
    I am not sure if tis was reported previously, but I have hit it while upgrading the last 2 versions.
    That is correct. Though CMS should not try to install if you have the same or newer version of CMS already installed. I'll have to look into this one further.

  • RAMWolffRAMWolff Posts: 5,301
    edited December 1969

    Question... About the updated content.... were there any updates to Genesis base figure and if so what are they?

  • DavidGBDavidGB Posts: 426
    edited December 1969

    reelyor said:
    A note about installing newer versions of DAZ 4 and experienceing error messages at the CMS phase: If you hit this and it asks to Abort, retry or Cancel, go in and STOP the currently running CMS, then Retry and it shoukd continue on its merry way.
    I am not sure if tis was reported previously, but I have hit it while upgrading the last 2 versions.
    That is correct. Though CMS should not try to install if you have the same or newer version of CMS already installed. I'll have to look into this one further.

    Just to note that in my reporting or errors on install, (a) CMS was not running, as I changed startup to manual and do not generally start it, and (b) I wasn;'t presented with an Abort, retry, cancel or any choice - there was just a popup saying there had been problems, with nothing specifying what kind of problems, in the CMS installation while the rest of the DS install continued along to the finish.

    Am still concerned by the crash of the uninstaller, followed by crash of the installer on each run of the DS installer and Dynamic Clothing Control installer where an uninstaller existed. It's giving me a huge lack of confidence about my installation. Once an uninstaller goes bad, there doesn't appear to be any way of being sure to have gotten back to a properly clean uninstalled state before a new installation.

    It would be nice if DAZ could provide a separate, tested uninstall app that would leave content, preferences and settings that should survive from version to version, but scrubbed eveyrthing that should be wiped by an uninstaller that hadn't gone bad.

  • Richard HaseltineRichard Haseltine Posts: 19,395
    edited December 1969

    Generally, reinstalling the version that failed to installant and then uninstalling it will clean the system.

  • DavidGBDavidGB Posts: 426
    edited December 1969

    Generally, reinstalling the version that failed to installant and then uninstalling it will clean the system.

    As I've tried to indicate, both the uninstaller created by the public 4.5 and the uninstaller created by the new 4.5.0.137 Beta crash - either a little before or right at the end of their runs, I'm not sure of the precise point but it's as the progress bar is completing.

    The 4.5.0.137 installer does run to completion (just with a popup saying there's some unspecified error during the CMS install, although the main installer keeps on going) if there's no uninstaller present. It crashes instead immediatley after acknowedging the crash of the uninstaller if one is present and run.

    Leaving aside the CMS (which I don't use, though it irks me that I'm being told their was an unspecified problem during its install), I have therefore got everything from the 4.5.0.137 Beta installed. My concern is if something from the previous version is left, not overwritten but through its continued presence somehow interfering. Perhaps nothing that's possibly left could interfere. Perhaps the uninstallers actually completed deleting everything before they crashed, and only crash at the point they are supposed to hand back control to the main installer and exit. But that's several perhapses, leaving me with low confidence in the program.

    I would also like to know why the uninstallers for the DS 4.5 public and beta releases, and the Dynamic Clothing control are crashing, whereas e.g. the uninstaller for the Genesis Essential content is working perfectly fine.

  • atryeuatryeu Posts: 605
    edited December 1969

    Generally, reinstalling the version that failed to installant and then uninstalling it will clean the system.

    ... unless the uninstaller won't install so you can uninstall it :( All of the installers lock up trying to add the "Daz3D Store.ico" file for me. Most of the basic product files will complete the install but larger files such as the program setups (and now the Genesis content file) lock up there and I have to crash the program to complete the install, so the uninstaller won't get added :(

  • DaremoK3DaremoK3 Posts: 386
    edited December 1969

    Orphanslayer69:

    You mean you weren't going for a really cool looking abstract?

    I feel your pain, but I still dig the render nonetheless...


    *Anyone:

    I won't be updating to this version for awhile (or might skip until next release). I am content with current version with only the minor "active" workspace bug, and am mostly using 4.0 for production work on my workbox.

    Please, will one of you who has installed this version post a screenshot of the new side-by-side content directory. It sounds interesting, and seems like something I am going to like. Thank you in advance if you can do this little request.

  • Kendall SearsKendall Sears Posts: 1,882
    edited December 1969

    DaremoK3 said:
    Orphanslayer69:

    You mean you weren't going for a really cool looking abstract?

    I feel your pain, but I still dig the render nonetheless...


    *Anyone:

    I won't be updating to this version for awhile (or might skip until next release). I am content with current version with only the minor "active" workspace bug, and am mostly using 4.0 for production work on my workbox.

    Please, will one of you who has installed this version post a screenshot of the new side-by-side content directory. It sounds interesting, and seems like something I am going to like. Thank you in advance if you can do this little request.

    Side-by-side. Here ya go.

    Kendall

    Screenshot-53.png
    500 x 769 - 127K
  • MurgatroydMurgatroyd Posts: 573
    edited December 1969

    So, how obscenely large is the "Essentials" file this time?

  • barbultbarbult Posts: 3,408
    edited December 1969

    So, how obscenely large is the "Essentials" file this time?

    429,964 KB

  • DaremoK3DaremoK3 Posts: 386
    edited December 1969

    Thank you Kendall, much appreciated.

    Just as I imagined. Looks like it will be useful with my work-flow, and directory set-up.

  • KeryaKerya Posts: 7,188
    edited December 1969

    One question if anyone has the answer. I didn't update Genesis content because I didn't see anywhere a post about changes in the package. However the version number is now 1.4. Is there anything new there?

    Yes, there were some changes in the content that will need to be updated for this build. Use the new Genesis Starter Essentials content and install it.

    Could you update the "wonderful" Online Readme to reflect that? http://docs.daz3d.com/doku.php/public/read_me/index/14812/start
    (Sorry, I do dislike those online Readme's, but we were told that online is soooo much better to reflect updated things ... )

  • Richard HaseltineRichard Haseltine Posts: 19,395
    edited December 1969

    The main issue if the uninstaller doesn't run, as far as I know, is that you will have the user .dsf files alongside the new .duf files. I don't think there's any risk of outdated code being left behind, I'm not sure there won't be any files in the \data folder that should be removed.

Sign In or Register to comment.
Rocket Fuel